## openrazer 3.2.0+dfsg

=== Makefile ===
# ********************************* WARNING *********************************
# This Makefile is not supposed to be used outside of certain usecases like
# compiling the driver ("make driver") in this repository or installing the
# files as part of distribution packaging.
#
# Please never run the install targets manually (unless you really know what
# you're doing) as they're not intended to be used like that!
#
# You're in nearly all cases better off following the build instructions
# that you can find in the wiki.
# ***************************************************************************

# PREFIX is used to prefix where the files will be installed under DESTDIR
PREFIX?=/usr
# UDEV_PREFIX is specifically a prefix for udev files
UDEV_PREFIX?=$(PREFIX)
# DESTDIR is used to install into a different root directory
DESTDIR?=/
# Specify the kernel directory to use
KERNELDIR?=/lib/modules/$(shell uname -r)/build
# Need the absolute directory do the driver directory to build kernel modules
DRIVERDIR?=$(shell pwd)/driver

# Where kernel drivers are going to be installed
MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid

# Python dir
PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')

DKMS_NAME?=openrazer-driver
DKMS_VER?=3.2.0


# Build all target
all: driver

# Driver compilation
driver:
	@echo -e "\n::\033[32m Compiling OpenRazer kernel modules\033[0m"
	@echo "========================================"
	$(MAKE) -C $(KERNELDIR) M=$(DRIVERDIR) modules

driver_clean:
	@echo -e "\n::\033[32m Cleaning OpenRazer kernel modules\033[0m"
	@echo "========================================"
	$(MAKE) -C "$(KERNELDIR)" M="$(DRIVERDIR)" clean

# Install kernel modules and then update module dependencies
driver_install:
	@echo -e "\n::\033[34m Installing OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)
	@chown -v root:root $(DESTDIR)/$(MODULEDIR)/*.ko
	depmod

# Just use for packaging openrazer, not for installing manually
driver_install_packaging:
	@echo -e "\n::\033[34m Installing OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)

# Remove kernel modules
driver_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerkbd.ko
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razermouse.ko
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerfirefly.ko

# Razer Daemon
daemon_install:
	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon install

ubuntu_daemon_install:
	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon ubuntu_install


daemon_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon uninstall

# Python Library
python_library_install:
	@echo -e "\n::\033[34m Installing OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib install

ubuntu_python_library_install:
	@echo -e "\n::\033[34m Installing OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib ubuntu_install

python_library_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib uninstall

# Legacy XDG autostart
xdg_install:
	@mkdir -p $(DESTDIR)/etc/xdg/autostart
	@cp -v ./install_files/desktop/openrazer-daemon.desktop $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop

xdg_uninstall:
	@rm -fv $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop

install-systemd:
	@make --no-print-directory -C daemon install-systemd

# Clean target
clean: driver_clean

setup_dkms:
	@echo -e "\n::\033[34m Installing DKMS files\033[0m"
	@echo "====================================================="
	install -m 644 -v -D Makefile $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/Makefile
	install -m 644 -v -D install_files/dkms/dkms.conf $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/dkms.conf
	install -m 755 -v -d driver $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/driver
	install -m 644 -v -D driver/Makefile $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/driver/Makefile
	install -m 644 -v driver/*.c $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/driver/
	install -m 644 -v driver/*.h $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/driver/
	rm -fv $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)/driver/*.mod.c

remove_dkms:
	@echo -e "\n::\033[34m Removing DKMS files\033[0m"
	@echo "====================================================="
	rm -rf $(DESTDIR)$(PREFIX)/src/$(DKMS_NAME)-$(DKMS_VER)

udev_install:
	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)$(UDEV_PREFIX)/lib/udev/rules.d/99-razer.rules
	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)$(UDEV_PREFIX)/lib/udev/razer_mount

udev_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)$(PREFIX)/lib/udev/rules.d/99-razer.rules $(DESTDIR)$(PREFIX)/lib/udev/razer_mount

ubuntu_udev_install:
	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)/lib/udev/rules.d/99-razer.rules
	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)/lib/udev/razer_mount

ubuntu_udev_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)/lib/udev/rules.d/99-razer.rules $(DESTDIR)/lib/udev/razer_mount

appstream_install:
	@echo -e "\n::\033[34m Installing OpenRazer AppStream metadata\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/appstream/io.github.openrazer.openrazer.metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml

appstream_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer AppStream metadata\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml

# Install for Ubuntu
# WARNING: do not use this target manually, it is just meant for Debian packaging! Read the warning on top of the file!
ubuntu_install: setup_dkms ubuntu_udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
	@echo -e "\n::\033[34m Installing for Ubuntu\033[0m"
	@echo "====================================================="
	mv $(DESTDIR)$(PREFIX)/lib/python3.* $(DESTDIR)$(PREFIX)/lib/python3
	mv $(DESTDIR)$(PREFIX)/lib/python3/site-packages $(DESTDIR)$(PREFIX)/lib/python3/dist-packages

install_i_know_what_i_am_doing: all driver_install udev_install python_library_install
	@make --no-print-directory -C daemon install DESTDIR=$(DESTDIR)

install: manual_install_msg ;

manual_install_msg:
	@echo "Please do not install the driver using this method. Use a distribution package as it tracks the files installed and can remove them afterwards. If you are 100% sure, you want to do this, find the correct target in the Makefile."
	@echo "Exiting."

uninstall: driver_uninstall udev_uninstall python_library_uninstall
	@make --no-print-directory -C daemon uninstall DESTDIR=$(DESTDIR)


.PHONY: driver

=== debian/changelog ===
openrazer (3.2.0+dfsg-3) unstable; urgency=medium

  * Fix syntax in 0001-usb-hid-disabled-builds.patch. (Closes: #1002680)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Dec 2021 15:18:09 +0100

openrazer (3.2.0+dfsg-2) unstable; urgency=medium

  * Also check for CONFIG_USB_MODULE before to build dummy drivers.
      Thanks to Carlos Garcia Campos. (Closes: #1002530)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Dec 2021 10:59:47 +0100

openrazer (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Import and refresh Ubuntu patch: 0001-usb-hid-disabled-builds.patch
  * Update standards version to 4.6.0, no changes needed.
  * Remove debian/salsa-ci.yml, not used anymore.


 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Dec 2021 16:39:20 +0100

openrazer (3.1.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + openrazer-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Aug 2021 20:58:38 +0200

openrazer (3.0.1+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Jun 2021 17:29:55 +0200

=== debian/control ===
Source: openrazer
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dkms,
               python3,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/openrazer
Vcs-Git: https://salsa.debian.org/debian/openrazer.git
Homepage: https://openrazer.github.io/
Rules-Requires-Root: no

Package: openrazer-meta
Architecture: all
Depends: ${misc:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         openrazer-daemon (= ${binary:Version}),
         python3-openrazer (= ${binary:Version})
Suggests: openrazer-doc (= ${binary:Version})
Description: OpenRazer peripheral drivers (metapackage)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package is a metapackage which depends on the OpenRazer driver and
 userspace daemon, plus a Python library and documentation.

Package: openrazer-driver-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends},
         dkms,
         udev
# To avoid problem with old upstream deb packages
Conflicts: openrazer-kernel-modules-dkms
Provides: openrazer-kernel-modules-dkms
Replaces: openrazer-kernel-modules-dkms
Description: OpenRazer peripheral drivers (DKMS)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides the source code for the OpenRazer kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.
 .
 Please read the Troubleshooting Guide in
 /usr/share/doc/openrazer-driver-dkms/README.Debian.

Package: openrazer-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-setproctitle,
         python3-notify2,
         python3-daemonize (>= 2.4.0),
         gir1.2-gtk-3.0,
         xautomation,
         dbus-user-session
Recommends: python3-openrazer (= ${binary:Version})
Description: OpenRazer peripheral drivers (daemon)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides a user-space daemon used to interface with the driver.
 It contains a systemd user unit and an AppStream file.

Package: python3-openrazer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-daemon (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-numpy
Description: OpenRazer peripheral drivers (Python 3)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains a library for interacting with the OpenRazer daemon.

Package: openrazer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: OpenRazer peripheral drivers (documentation)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains scripts on how to interact with the daemon and
 the driver.

## openrazer 3.4.0%2Bdfsg

=== pylib/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later

DESTDIR?=/

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR)

ubuntu_install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR) --no-compile

uninstall:
	$(eval DAEMONPATH := $(shell find $(DESTDIR)/usr/lib/python3* -maxdepth 2 -name "razer"))
	$(eval EGGPATH := $(shell readlink -f $(DAEMONPATH)-*.egg-info/)) # shows an error when it's not already installed (maybe use some if condition)
	@rm -v -rf $(DAEMONPATH)
	@rm -v -rf $(EGGPATH)

## openrazer 3.4.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.2.0
+DKMS_VER?=3.4.0
 
 
 # Build all target

=== debian/changelog ===
openrazer (3.4.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Sep 2022 16:11:03 -0700

openrazer (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Aug 2022 22:45:29 +0200

openrazer (3.3.0+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Dylan Aïssi ]
  * Standards-Version: 4.6.1 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Jul 2022 23:17:37 +0200

openrazer (3.3.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + openrazer-daemon: Drop versioned constraint on python3-daemonize in
      Depends.

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Apr 2022 21:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: openrazer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dkms,
+               dh-sequence-dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: openrazer-meta
 Architecture: all
-Depends: ${misc:Depends},
+Depends: openrazer-daemon (= ${binary:Version}),
          openrazer-driver-dkms (= ${binary:Version}),
-         openrazer-daemon (= ${binary:Version}),
-         python3-openrazer (= ${binary:Version})
+         python3-openrazer (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: openrazer-doc (= ${binary:Version})
 Description: OpenRazer peripheral drivers (metapackage)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
@@ -31,10 +33,7 @@
 Package: openrazer-driver-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends},
-         dkms,
-         udev
-# To avoid problem with old upstream deb packages
+Depends: dkms, udev, ${misc:Depends}
 Conflicts: openrazer-kernel-modules-dkms
 Provides: openrazer-kernel-modules-dkms
 Replaces: openrazer-kernel-modules-dkms
@@ -52,18 +51,18 @@
 
 Package: openrazer-daemon
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: dbus-user-session,
+         gir1.2-gtk-3.0,
          openrazer-driver-dkms (= ${binary:Version}),
+         python3-daemonize,
          python3-dbus,
          python3-gi,
+         python3-notify2,
          python3-pyudev,
          python3-setproctitle,
-         python3-notify2,
-         python3-daemonize (>= 2.4.0),
-         gir1.2-gtk-3.0,
          xautomation,
-         dbus-user-session
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-openrazer (= ${binary:Version})
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
@@ -76,12 +75,12 @@
 Package: python3-openrazer
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         openrazer-daemon (= ${binary:Version}),
+Depends: openrazer-daemon (= ${binary:Version}),
          python3-dbus,
          python3-gi,
-         python3-numpy
+         python3-numpy,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and

## openrazer 3.5.1

=== debian/changelog ===
openrazer (3.5.1-1) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.5.1

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 04 Dec 2022 12:48:59 +0100

openrazer (3.5.0) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.5.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 20 Nov 2022 15:01:08 +0100

openrazer (3.4.0) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.4.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 31 Jul 2022 18:00:44 +0200

openrazer (3.3.0) focal; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.3.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 09 Apr 2022 15:57:47 +0200

openrazer (3.2.0) focal; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.2.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 12 Dec 2021 15:58:06 +0100

openrazer (3.1.0) focal; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.1.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 15 Aug 2021 11:42:45 +0200

openrazer (3.0.1) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.0.1

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 10 Apr 2021 11:20:13 +0200

openrazer (3.0.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.0.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 21 Mar 2021 17:26:04 +0100

openrazer (2.9.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.9.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 08 Nov 2020 17:01:11 +0100

openrazer (2.8.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.8.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 02 May 2020 13:20:33 +0200

openrazer (2.7.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.7.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 11 Jan 2020 11:18:19 +0100

=== debian/control ===
Source: openrazer
Maintainer: Terry Cain <terry@terrys-home.co.uk>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               dkms,
               python3,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Browser: https://github.com/openrazer/openrazer/
Vcs-Git: https://github.com/openrazer/openrazer.git
Homepage: https://openrazer.github.io/

Package: openrazer-meta
Architecture: all
Depends: ${misc:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         openrazer-daemon (= ${binary:Version}),
         python3-openrazer (= ${binary:Version})
Suggests: openrazer-doc (= ${binary:Version})
Description: OpenRazer peripheral drivers (metapackage)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package is a metapackage which depends on the OpenRazer driver and
 userspace daemon, plus a Python library and documentation.

Package: openrazer-driver-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends},
         dkms,
         udev
Conflicts: razer-chroma-driver,
           razer-kernel-modules-dkms,
           openrazer-kernel-modules-dkms
Provides: razer-chroma-driver,
          razer-kernel-modules-dkms,
          openrazer-kernel-modules-dkms
Replaces: razer-chroma-driver,
          razer-kernel-modules-dkms,
          openrazer-kernel-modules-dkms
Description: OpenRazer peripheral drivers (DKMS)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides the source code for the OpenRazer kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.
 .
 Please read the Troubleshooting Guide in
 /usr/share/doc/openrazer-driver-dkms/README.Debian.


Package: openrazer-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-setproctitle,
         python3-notify2,
         python3-daemonize (>= 2.4.0),
         gir1.2-gtk-3.0,
         xautomation,
         dbus-session-bus
Recommends: python3-openrazer (= ${binary:Version})
Conflicts: razer-daemon
Provides: razer-daemon
Replaces: razer-daemon
Description: OpenRazer peripheral drivers (daemon)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides a user-space daemon used to interface with the driver.
 It contains a systemd user unit and an AppStream file.

Package: python3-openrazer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-daemon (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-numpy
Conflicts: python3-razer
Provides: python3-razer
Replaces: python3-razer
Description: OpenRazer peripheral drivers (Python 3)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains a library for interacting with the OpenRazer daemon.

Package: openrazer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: razer-doc
Provides: razer-doc
Replaces: razer-doc
Description: OpenRazer peripheral drivers (documentation)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains scripts on how to interact with the daemon and
 the driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This value is default but we need it below
DEB_DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with python3,dkms

override_dh_auto_clean:
	echo "No need to clean DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_build:
	echo "No need to build DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_install:
	$(MAKE) ubuntu_install install-systemd DESTDIR=$(DEB_DESTDIR)

override_dh_install:
	dh_install --package=openrazer-daemon usr/share/dbus-1/services/org.razer.service
	dh_install --package=openrazer-daemon usr/lib/systemd/user/openrazer-daemon.service
	dh_install --remaining-packages

override_dh_dkms:
	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf

## openrazer 3.5.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.4.0
+DKMS_VER?=3.5.1
 
 
 # Build all target

=== daemon/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later

DESTDIR?=/
PREFIX?=/usr

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

service:
	@sed "s|##PREFIX##|$(PREFIX)|" resources/org.razer.service.in > org.razer.service
	@sed "s|##PREFIX##|$(PREFIX)|" resources/openrazer-daemon.systemd.service.in > openrazer-daemon.service

install-resources: service
	@install -m 644 -D -v resources/razer.conf $(DESTDIR)$(PREFIX)/share/openrazer/razer.conf.example
	@install -m 755 -D -v run_openrazer_daemon.py $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

install-systemd: service
	@install -m 644 -D -v org.razer.service $(DESTDIR)$(PREFIX)/share/dbus-1/services/org.razer.service
	@install -m 644 -D -v openrazer-daemon.service $(DESTDIR)$(PREFIX)/lib/systemd/user/openrazer-daemon.service

install: purge_pycache manpages install-resources install-systemd
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

ubuntu_install: purge_pycache manpages install-resources
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile

manpages:
	@install -m 644 -D -v resources/man/razer.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@gzip $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@install -m 644 -D -v resources/man/openrazer-daemon.8 $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8
	@gzip $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8

manpages_uninstall:
	@rm -f $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5.gz
	@rm -f $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8.gz

uninstall: manpages_uninstall
	$(eval DAEMONPATH := $(shell find $(DESTDIR)$(PREFIX)/lib/python3* -maxdepth 2 -name "openrazer_daemon"))
	$(eval EGGPATH := $(shell readlink -f $(DAEMONPATH)-*.egg-info/)) # shows an error when it's not already installed (maybe use some if condition)
	@rm -rf -v $(DAEMONPATH)
	@rm -rf -v $(EGGPATH)
	@rm -rf -v $(DESTDIR)$(PREFIX)/share/openrazer
	@rm -f -v $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

=== debian/changelog ===
openrazer (3.5.1+dfsg-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-32776: out-of-bounds read

 -- Adrian Bunk <bunk@debian.org>  Wed, 23 Apr 2025 22:45:05 +0300

openrazer (3.5.1+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Re-enable Testsuite: autopkgtest-pkg-dkms.
  * Do not build the module for kernels without CONFIG_USB.

  [ Dylan Aïssi ]
  * Cherry-pick upstream patch to fix makefile.
  * Standards-Version: 4.6.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Feb 2023 17:07:01 +0100

openrazer (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Dec 2022 22:20:59 +0100

openrazer (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 03 Dec 2022 10:50:19 +0100

openrazer (3.4.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:55 +0200

openrazer (3.4.0+dfsg-2) unstable; urgency=medium

  * Patch upstream makefile because of sysconfig default scheme
      changes (Closes: #1020039)
  * Disable d/p/0001-usb-hid-disabled-builds.patch for now
  * Disable Testsuite: autopkgtest-pkg-dkms (Closes: #1018789)
      Currently broken see #1019425

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Oct 2022 17:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: openrazer
-Maintainer: Terry Cain <terry@terrys-home.co.uk>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dkms,
+               dh-sequence-dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.6.0
-Vcs-Browser: https://github.com/openrazer/openrazer/
-Vcs-Git: https://github.com/openrazer/openrazer.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/openrazer
+Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: openrazer-meta
 Architecture: all
@@ -33,15 +35,10 @@
 Depends: ${misc:Depends},
          dkms,
          udev
-Conflicts: razer-chroma-driver,
-           razer-kernel-modules-dkms,
-           openrazer-kernel-modules-dkms
-Provides: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
-Replaces: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
+# To avoid problem with old upstream deb packages
+Conflicts: openrazer-kernel-modules-dkms
+Provides: openrazer-kernel-modules-dkms
+Replaces: openrazer-kernel-modules-dkms
 Description: OpenRazer peripheral drivers (DKMS)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -54,7 +51,6 @@
  Please read the Troubleshooting Guide in
  /usr/share/doc/openrazer-driver-dkms/README.Debian.
 
-
 Package: openrazer-daemon
 Architecture: all
 Depends: ${misc:Depends},
@@ -65,14 +61,11 @@
          python3-pyudev,
          python3-setproctitle,
          python3-notify2,
-         python3-daemonize (>= 2.4.0),
+         python3-daemonize,
          gir1.2-gtk-3.0,
          xautomation,
-         dbus-session-bus
+         dbus-user-session
 Recommends: python3-openrazer (= ${binary:Version})
-Conflicts: razer-daemon
-Provides: razer-daemon
-Replaces: razer-daemon
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -90,9 +83,6 @@
          python3-dbus,
          python3-gi,
          python3-numpy
-Conflicts: python3-razer
-Provides: python3-razer
-Replaces: python3-razer
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -104,9 +94,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Conflicts: razer-doc
-Provides: razer-doc
-Replaces: razer-doc
+Multi-Arch: foreign
 Description: OpenRazer peripheral drivers (documentation)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	echo "No need to clean DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_build:
	echo "No need to build DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_install:
	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp

override_dh_dkms:
	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf

## openrazer 3.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,8 @@
 # Where kernel drivers are going to be installed
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
-# Python dir
-PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
-
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.5.1
+DKMS_VER?=3.7.0
 
 
 # Build all target
@@ -59,14 +56,6 @@
 	@echo "====================================================="
 	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)
 
-# Remove kernel modules
-driver_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer kernel modules\033[0m"
-	@echo "====================================================="
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerkbd.ko
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razermouse.ko
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerfirefly.ko
-
 # Razer Daemon
 daemon_install:
 	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
@@ -77,12 +66,6 @@
 	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
 	@echo "====================================================="
 	make --no-print-directory -C daemon ubuntu_install
-
-
-daemon_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer Daemon\033[0m"
-	@echo "====================================================="
-	make --no-print-directory -C daemon uninstall
 
 # Python Library
 python_library_install:
@@ -95,18 +78,10 @@
 	@echo "====================================================="
 	@make --no-print-directory -C pylib ubuntu_install
 
-python_library_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer python library\033[0m"
-	@echo "====================================================="
-	@make --no-print-directory -C pylib uninstall
-
 # Legacy XDG autostart
 xdg_install:
 	@mkdir -p $(DESTDIR)/etc/xdg/autostart
 	@cp -v ./install_files/desktop/openrazer-daemon.desktop $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop
-
-xdg_uninstall:
-	@rm -fv $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop
 
 install-systemd:
 	@make --no-print-directory -C daemon install-systemd
@@ -136,39 +111,16 @@
 	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)$(UDEV_PREFIX)/lib/udev/rules.d/99-razer.rules
 	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)$(UDEV_PREFIX)/lib/udev/razer_mount
 
-udev_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)$(PREFIX)/lib/udev/rules.d/99-razer.rules $(DESTDIR)$(PREFIX)/lib/udev/razer_mount
-
-ubuntu_udev_install:
-	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)/lib/udev/rules.d/99-razer.rules
-	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)/lib/udev/razer_mount
-
-ubuntu_udev_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)/lib/udev/rules.d/99-razer.rules $(DESTDIR)/lib/udev/razer_mount
-
 appstream_install:
 	@echo -e "\n::\033[34m Installing OpenRazer AppStream metadata\033[0m"
 	@echo "====================================================="
 	install -m 644 -v -D install_files/appstream/io.github.openrazer.openrazer.metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml
 
-appstream_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer AppStream metadata\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml
-
 # Install for Ubuntu
 # WARNING: do not use this target manually, it is just meant for Debian packaging! Read the warning on top of the file!
-ubuntu_install: setup_dkms ubuntu_udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
+ubuntu_install: setup_dkms udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
 	@echo -e "\n::\033[34m Installing for Ubuntu\033[0m"
 	@echo "====================================================="
-	mv $(DESTDIR)$(PREFIX)/lib/python3.* $(DESTDIR)$(PREFIX)/lib/python3
-	mv $(DESTDIR)$(PREFIX)/lib/python3/site-packages $(DESTDIR)$(PREFIX)/lib/python3/dist-packages
 
 install_i_know_what_i_am_doing: all driver_install udev_install python_library_install
 	@make --no-print-directory -C daemon install DESTDIR=$(DESTDIR)
@@ -179,8 +131,4 @@
 	@echo "Please do not install the driver using this method. Use a distribution package as it tracks the files installed and can remove them afterwards. If you are 100% sure, you want to do this, find the correct target in the Makefile."
 	@echo "Exiting."
 
-uninstall: driver_uninstall udev_uninstall python_library_uninstall
-	@make --no-print-directory -C daemon uninstall DESTDIR=$(DESTDIR)
-
-
 .PHONY: driver

=== daemon/Makefile ===
--- 
+++ 
@@ -22,22 +22,10 @@
 	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)
 
 ubuntu_install: purge_pycache manpages install-resources
-	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile
+	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile --install-layout=deb
 
 manpages:
 	@install -m 644 -D -v resources/man/razer.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
 	@gzip $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
 	@install -m 644 -D -v resources/man/openrazer-daemon.8 $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8
 	@gzip $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8
-
-manpages_uninstall:
-	@rm -f $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5.gz
-	@rm -f $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8.gz
-
-uninstall: manpages_uninstall
-	$(eval DAEMONPATH := $(shell find $(DESTDIR)$(PREFIX)/lib/python3* -maxdepth 2 -name "openrazer_daemon"))
-	$(eval EGGPATH := $(shell readlink -f $(DAEMONPATH)-*.egg-info/)) # shows an error when it's not already installed (maybe use some if condition)
-	@rm -rf -v $(DAEMONPATH)
-	@rm -rf -v $(EGGPATH)
-	@rm -rf -v $(DESTDIR)$(PREFIX)/share/openrazer
-	@rm -f -v $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

=== pylib/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later

DESTDIR?=/

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR)

ubuntu_install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR) --no-compile --install-layout=deb

=== debian/changelog ===
openrazer (3.7.0+dfsg-1ubuntu0.1) noble; urgency=medium

  * Support Linux 6.14 (LP: #2111339)
    - debian/patches/0001-razermouse-Fix-compilation-with-Linux-6.14.patch

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 20 May 2025 09:31:39 -0500

openrazer (3.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.0+dfsg
  * Delete more files with dh_clean (Closes: #1045284)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Nov 2023 15:47:09 +0100

openrazer (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.1+dfsg
  * Drop patch included in upstream release
  * Refresh patch
  * Define UDEV_PREFIX in debian/rules

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Jul 2023 22:34:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openrazer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	echo "DKMS modules are built at packages installation time."
 
 override_dh_auto_install:
-	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) ubuntu_install install-systemd \
+	     DESTDIR=$(CURDIR)/debian/tmp \
+	     UDEV_PREFIX="" \
+	     $(NULL)
 
 override_dh_dkms:
 	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf

## openrazer 3.8.0+dfsg

=== debian/changelog ===
openrazer (3.8.0+dfsg-1parrot1) lory-updates; urgency=medium

  * Import new Debian Unstable release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 11 Oct 2024 20:22:01 +0200

openrazer (3.8.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 3.8.0+dfsg
  * Standards-Version: 4.7.0 (no changes required)

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. (Closes: #1058835)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Apr 2024 09:56:34 +0200

## openrazer 3.9.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.7.0
+DKMS_VER?=3.9.0
 
 
 # Build all target

=== debian/changelog ===
openrazer (3.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.9.0+dfsg
  * Refresh debian/patches/skip-without-CONFIG_USB.patch

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Oct 2024 15:22:52 +0200

## openrazer 3.10.0%2Bdfsg

=== debian/changelog ===
openrazer (3.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.10.0+dfsg
  * Refresh skip-without-CONFIG_USB.patch
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 12:05:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: openrazer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-dkms,
+               pkgconf,
                python3,
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-setuptools,
+               systemd-dev,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/

## openrazer 3.10.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.9.0
+DKMS_VER?=3.10.0
 
 
 # Build all target

## openrazer 3.10.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.10.0
+DKMS_VER?=3.10.1
 
 
 # Build all target

=== debian/changelog ===
openrazer (3.10.1+dfsg-1deepin1) unstable; urgency=medium

  * New upstream release.

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 17 Mar 2025 15:46:01 +0800

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openrazer-$1\.tar\.gz/ \
  https://github.com/openrazer/openrazer/tags .*/v?(\d\S+)\.tar\.gz

## openrazer 3.10.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.10.1
+DKMS_VER?=3.10.2
 
 
 # Build all target

=== debian/changelog ===
openrazer (3.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.10.2+dfsg
    - Fix security issue: potential out of bounds read in matrix_custom_frame.
      See: GHSA-835j-6976-46jx

 -- Dylan Aïssi <daissi@debian.org>  Sat, 12 Apr 2025 11:42:11 +0200

openrazer (3.10.1+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 3.10.1+dfsg
  * Standards-Version: 4.7.2 (no changes required)

  [ Andreas Beckmann ]
  * More dkms.conf updates

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Mar 2025 13:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-setuptools,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/

## openrazer 3.10.3

=== debian/changelog ===
openrazer (3.10.3-0) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.3-0

 -- Luca Weiss <luca@lucaweiss.eu>  Wed, 07 May 2025 21:00:47 +0200

openrazer (3.10.2) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.2

 -- Luca Weiss <luca@lucaweiss.eu>  Sat, 12 Apr 2025 10:50:41 +0200

openrazer (3.10.1) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.1

 -- Luca Weiss <luca@lucaweiss.eu>  Sat, 15 Mar 2025 12:06:17 +0100

openrazer (3.10.0) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.0

 -- Luca Weiss <luca@lucaweiss.eu>  Thu, 20 Feb 2025 17:18:46 +0000

openrazer (3.9.0) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.9.0

 -- Luca Weiss <luca@lucaweiss.eu>  Sun, 06 Oct 2024 11:40:51 +0200

openrazer (3.8.0) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.8.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 14 Apr 2024 11:34:24 +0200

openrazer (3.7.0) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.7.0

 -- Luca Weiss <luca@z3ntu.xyz>  Wed, 01 Nov 2023 20:47:56 +0200

openrazer (3.6.1) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.6.1

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 13 May 2023 17:02:29 +0200

openrazer (3.6.0) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.6.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 30 Apr 2023 14:23:43 +0200

openrazer (3.5.1) jammy; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.5.1

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 04 Dec 2022 12:48:59 +0100

## openrazer 3.10.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.10.2
+DKMS_VER?=3.10.3
 
 
 # Build all target

=== debian/changelog ===
openrazer (3.10.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 09:47:45 +0200

openrazer (3.10.3+dfsg-1) experimental; urgency=medium

  * New upstream version 3.10.3+dfsg
    - Fix FTBFS with linux >= 6.15 (Closes: #1106708).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 30 May 2025 09:18:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 %:
 	dh $@ --with python3
@@ -14,7 +15,7 @@
 override_dh_auto_install:
 	$(MAKE) ubuntu_install install-systemd \
 	     DESTDIR=$(CURDIR)/debian/tmp \
-	     UDEV_PREFIX="" \
+	     UDEVDIR=/$(deb_udevdir) \
 	     $(NULL)
 
 override_dh_dkms:

## openrazer 3.11.0

=== debian/changelog ===
openrazer (3.11.0-0) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.11.0-0

 -- Luca Weiss <luca@lucaweiss.eu>  Mon, 27 Oct 2025 21:13:24 +0100

openrazer (3.10.3) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.3

 -- Luca Weiss <luca@lucaweiss.eu>  Wed, 07 May 2025 21:00:47 +0200
